curl --request GET \
--url https://api.example.com/coupons/{couponId} \
--header 'Authorization: <authorization>'{
"couponId": "019525fd-d3a4-7baf-a7c3-9d1e3f5b7c9f",
"externalRef": null,
"code": "WELCOME10",
"name": "Welcome Discount",
"type": "PERCENTAGE",
"amount": 10,
"currency": "BRL",
"duration": "ONCE",
"durationInMonths": null,
"maxRedemptions": 100,
"redeemBy": null,
"timesRedeemed": 25,
"amountRedeemed": 12500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
Buscar um cupom especifico por ID, incluindo configuracao de desconto e estatisticas de uso.
curl --request GET \
--url https://api.example.com/coupons/{couponId} \
--header 'Authorization: <authorization>'{
"couponId": "019525fd-d3a4-7baf-a7c3-9d1e3f5b7c9f",
"externalRef": null,
"code": "WELCOME10",
"name": "Welcome Discount",
"type": "PERCENTAGE",
"amount": 10,
"currency": "BRL",
"duration": "ONCE",
"durationInMonths": null,
"maxRedemptions": 100,
"redeemBy": null,
"timesRedeemed": 25,
"amountRedeemed": 12500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
coupon:read.{
"couponId": "019525fd-d3a4-7baf-a7c3-9d1e3f5b7c9f",
"externalRef": null,
"code": "WELCOME10",
"name": "Welcome Discount",
"type": "PERCENTAGE",
"amount": 10,
"currency": "BRL",
"duration": "ONCE",
"durationInMonths": null,
"maxRedemptions": 100,
"redeemBy": null,
"timesRedeemed": 25,
"amountRedeemed": 12500,
"status": "ACTIVE",
"createdBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedBy": "019525fd-56a8-7db4-8c3e-2a1b4d6f8e0c",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedBy": null,
"deletedAt": null
}
curl https://api.awsales.io/admin/coupons/019525fd-d3a4-7baf-a7c3-9d1e3f5b7c9f \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
| Status | Codigo | Descricao |
|---|---|---|
400 | validation_error | Entrada invalida ou campos obrigatorios ausentes |
401 | unauthorized | Autenticacao ausente ou invalida |
403 | forbidden | Permissoes insuficientes |
404 | coupon.not_found | Cupom nao encontrado |
500 | internal_server_error | Ocorreu um erro inesperado |